%define _texmf %(kpsewhich -expand-var='$TEXMFMAIN')

%define _prim_version 0.4
%define _scnd_version beta9

Summary: A set of PSCyr fonts for TeX.
Name: pscyr-fonts
Version: %{_prim_version}d_%{_scnd_version}
Release: sdg1
License: Freeware-like
Group: Publishing
Source0: PSCyr-%{_prim_version}-%{_scnd_version}-tex.tar.gz
Source1: PSCyr-%{_prim_version}-%{_scnd_version}-type1.tar.gz
Patch0: pscyr-map.patch

BuildArch: noarch

Requires: %name-pfb = %version-%release
Requires: %name-afm = %version-%release

%description
A set of PSCyr fonts for use with TeX.

%package pfb
Summary: Cyrillic PSCyr Type 1 fonts in pfb format.
Group: Publishing
Requires: fontconfig >= 2.0-alt12

%description pfb 
The %name-pfb package contains PSCyr Type 1 fonts in
pfb format.

%package afm
Summary: AFM metrics for cyrillic PSCyr fonts.
Group: Publishing
Requires: %name-pfb = %version-%release

%description afm
The %name-afm package contains Adobe Font Metrics for
PSCyr Type 1 fonts.

%package tex
Summary: TeX support for cyrillic PSCyr fonts.
Group: Publishing
Requires: %name-tex-dvips = %version-%release
Requires: %name-pfb = %version-%release
Requires: tetex-core >= 2.0

%description tex
The %name-tex package contains TeX support files for
PSCyr Type 1 fonts.

%package tex-afm
Summary: AFM metrics for TeX support for cyrillic PSCyr fonts.
Group: Publishing
Requires: %name-tex = %version-%release
Requires: tetex-core >= 2.0

%description tex-afm
The %name-tex-afm package contains Adobe Font Metrics for TeX 
support files for PSCyr Type 1 fonts.

%package tex-dvips
Summary: Encoding files for TeX support for cyrillic PSCyr fonts.
Group: Publishing
Requires: tetex-core >= 2.0

%description tex-dvips
The %name-tex-dvips package contains encoding files for TeX 
support files for PSCyr Type 1 fonts.

%prep

#%setup -c -a1
#in the future - 0.4d
%setup -n PSCyr -b1

#    pscyr.map
%patch -p1

%install

%__mkdir -p %buildroot%_texmf
%__cp -r * %buildroot%_texmf

#    afm   /usr/share/fonts/default
#  ""    fontconfig .
%__mkdir -p %buildroot%_datadir/fonts/default
%__mv -f %buildroot%_texmf/fonts/type1/public/pscyr/ %buildroot%_datadir/fonts/default
%__mv -f %buildroot%_texmf/fonts/afm/public/pscyr %buildroot%_datadir/fonts/default/pscyr/afms

#    ALT'. ,  :)
pushd %buildroot%_datadir/fonts/default/pscyr/
  lndir afms/ ./
popd

#    TeX'
%__ln_s %_datadir/fonts/default/pscyr %buildroot%_texmf/fonts/type1/public/pscyr
%__ln_s %_datadir/fonts/default/pscyr/afms %buildroot%_texmf/fonts/afm/public/pscyr

#  -  updmap.
%__mkdir -p %buildroot%_sysconfdir/tex-fonts.d/
%__cat > %buildroot%_sysconfdir/tex-fonts.d/pscyr.cfg << EOF
Map pscyr.map
EOF

#  t2a.enc  t2d.enc  pscyr-t2a.enc  pscyr-t2d.enc
#     texmf/dvips/base,  pscyr.map   texmf/pscyr/config
%__mkdir_p %buildroot%_texmf/dvips/{base,config}
mv -f %buildroot%_texmf/dvips/pscyr/t2a.enc %buildroot%_texmf/dvips/base/pscyr-t2a.enc
mv -f %buildroot%_texmf/dvips/pscyr/t2d.enc %buildroot%_texmf/dvips/base/pscyr-t2d.enc
mv -f %buildroot%_texmf/dvips/pscyr/pscyr.map %buildroot%_texmf/dvips/config/

#  pscyr2.map  texmf/dvipdfm/base/  texmf/dvipdfm/
mv -f %buildroot%_texmf/dvipdfm/base/pscyr2.map %buildroot%_texmf/dvipdfm/
rm -rf %buildroot%_texmf/dvipdfm/base

%post
%_bindir/fc-cache
%postun
%_bindir/fc-cache

%post pfb
%_bindir/fc-cache
%postun pfb
%_bindir/fc-cache

%post tex
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
[ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:
%postun tex
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
[ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:

%post tex-afm
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
%postun tex-afm
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:

%post tex-dvips
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
%postun tex-dvips
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:

%files

%files afm
%_datadir/fonts/default/pscyr/afms/*
%_datadir/fonts/default/pscyr/*.afm

%files pfb
%doc ChangeLog LICENSE manifest.txt doc/*
%dir %_datadir/fonts/default/pscyr
%_datadir/fonts/default/pscyr/*.pfb
#%_datadir/fonts/default/pscyr/fonts.dir
#%_x11libdir/X11/fonts/pscyr

%files tex
%_sysconfdir/tex-fonts.d/pscyr.cfg
%_texmf/dvips/config/*
%_texmf/dvipdfm/*
%_texmf/tex/latex/pscyr/*
%_texmf/fonts/type1/public/pscyr
%_texmf/fonts/tfm/public/pscyr/*
%_texmf/fonts/vf/public/pscyr/*

%files tex-afm
%_texmf/fonts/afm/public/pscyr

%files tex-dvips
%_texmf/dvips/base/*

%changelog
* Mon Oct 18 2004 Denis G. Samsonenko <denis@che.nsk.su> 0.4d-beta9.sdg1
- new version (0.4d-beta9)
- built for ALT Linux Master 2.4 beta5
* Sat Jan 10 2004 Denis G. Samsonenko <denis@che.nsk.su> 0.4d-beta6.sdg1
- built for ALT Linux Master 2.2
- based on pscyr-0.4d-beta5 spec by P.E.M <pem@rbcmail.ru>
